Subject: Re: [PATCH] commit -s: allow "(cherry picked " lines in sign-off section

From: Jonathan Nieder <[email-masked]>
Date: Tue, 16 Nov 2010 17:36:49 -0600

Junio C Hamano wrote:

> I am not sure I agree with the reasoning of this patch, by the way.  A
> cherry-pick is an event that breaks the life of the patch, so it may even
> be a sensible thing to do to express "the above sign-off chain shows who
> were involved in the original commit; I am cherry-picking it out of
> context, and these people do not have much to do with the result" with a
> blank line on both sides of the "cherry picked" line, like this:
> 
>	A concise summary of the change
> 
> 	A detailed description of the change, why it is needed, what
>	was broken and why applying this is the best course of action.
> 
> 	Signed-off-by: Andrew Morton <[email-masked]>
> 	Signed-off-by: Linus Torvalds <[email-masked]>
> 
> 	(cherry picked from commit 9d8117e72bf453dd9d85e0cd322ce4a0f8bccbc0)
> 
> 	Signed-off-by: Back Porter <[email-masked]>

How is the cherry-pick event different from the send-by-mail-and-apply
event?

In both cases, the result has a distinct commit id and distinct
signoff and it is unlikely that the previous patch handler was testing
with the same tree as the next one.  (And each patch handler should add
relevant comments if the new situation warrants that.)